Samsung Galaxy Ace: new version of spotify is not compatible with the device

Solved!
Reply
11 people liked this

Samsung Galaxy Ace: new version of spotify is not compatible with the device

Typschke
Newbie

Hello World,

 

i got a problem with my ace. Since yesterday, when the new version of spotify was available, my ace won´t install the new one. It says that my device is not compatible for this version of spotify. Will there be a fix or do i have to buy a new cellphone?

5 ACCEPTED SOLUTIONS

Accepted Solutions
Solution! 1 person liked this

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Stormlord_44
Music Fan

@Paulus_vondyer8 wrote:
Getting the same errors trying to instal new version. Emailed spotify no help offered as yet. Is the only option to upgrade phone. I have a Samsung ace 2.3.6 ...this is so annoying...

You should read the posts above really.  Spotify has already responded to the problem you're facing.  We all have the same problem here and their answer is that they do not support armv5 and armv6 based devices any more.  Your phone is one of them.  If they don't create a compatible app, your phone will not be able to run Spotify.

Solution! 1 person liked this

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

lueneberg
Regular

tenho meu ace duos com root, usando TitaniumBackup, consigo tirar ele das atualizações da play store, os que tem android mais novos conseguem marcar para não atualizar, mais nós usuarios do 2.3.6 temos que recorrer a metodos alternativos, não conheço outra maneira de quem não tem root liberado

 

Google translate

I have my ace duos with root, using TitaniumBackup, he can not get the updates of the play store, which has the newest android can not update schedule, most users of 2.3.6 we have to use alternative methods, I know no other way to who has not released root

Solution!

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Peter__
Community Legend
Not sure about compatibility, but armv5 support has been added back in with the latest version (which I would assume also supports v6.

Release notes:
http://community.spotify.com/t5/Spotify-Announcements/Release-notes-Spotify-for-Android/m-p/835329/h...

Peter
Spotify Community Mentor and Troubleshooter

Spotify Last.FM Twitter LinkedIn Meet Peter Rock Star Jam 2014


If this post was helpful, please add kudos below!

Solution!

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Richard
Roadie

Hey everyone,

 

Just to confirm what's already been posted above. The new version of the app (v1.1.1) is once again fully compatible with ARMv5 devices.

 

Sorry again for anyone who was left temporarily without their music. And thanks for bearing with us whilst we got this sorted for you.

 

Happy listening!

Check out our Twitter for the latest updates on any service issues: @Spotifystatus

Problem solved? Click 'Accept as solution' to make it easier to find for others!

New to the Community? Check out our Community newbie tips
Solution!

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Peter__
Community Legend
Looks like the Gio launched with andriod 2.2 which may no longer be supported. You may need to upgrade to 2.3 or above.

Peter
Spotify Community Mentor and Troubleshooter

Spotify Last.FM Twitter LinkedIn Meet Peter Rock Star Jam 2014


If this post was helpful, please add kudos below!

181 Replies
7 people liked this

Unable to install latest Spotify version for Android on ZTE Blade

dscdo
Newbie

Description

I updated Spotify to the latest 'housekeeping' release of 27th May.
This updated Spotify in turn which asks to install a different application - Spotify Music.

 

Problem is that it seems that "Spotify Music" is no longer compatible with my device: ZTE Blade.


Google Play forbids me from install it and, therefore, I cannot use Spotify in my mobile phone anymore.

 

I used Micro7 ROM - Android Gingerbread.
This morning I installed KonstaKANG ROM - Android Jelly Bean.
But the problem persists: Google Play states that "Your device isn't compatible with this version".

With my OTHER device - an Android Jelly Bean tablet - I had no problems with the update.

 

What are the steps you took to get to the error/issue?

My last-resort attempt seems to me like a good step-by-step description of my problem to reproduce:
1. Wiped / clean all data / reset to factory
2. Installed Android Jelly Bean (KonstaKang's ROM based on CyanogenMod 10.1)
3. Installed "Spotify" from the Play Store ("Spotify Music" did not appear, not even in "More by Spotify Ltd." section)
4. Opened Spotify app, which only shows a screen titled "SPOTIFY UPDATE" saying that I "need to update Spotify", and that "this version of Spotify is no longer supported". (see screenshot 1)
5. Pressed the "Download" button that redirects to "Spotify Music" on Play Store
6. On the top of screen one can see "Your device isn't compatible with this version." (see screenshot 2)

 

What I expected to happen

I expect "Spotify Music" to be available to my ZTE Blade, so I can continue using it.

 

Did you restart your device when troubleshooting in section B?

Yes

 

Did you read the connection troubleshooting tips?

Yes

 

Your device

ZTE Blade (specs)

 

Device’s Operating System

2.3.7 Gingerbread (which I had yesterday, when first reproduced the problem)
4.2.2 Jellybean (which I installed this morning but did not solved the issue)

 

What type of account do you have?

Premium

 

Space left on your device

165 MB

 

Space left on your SD card

14.49 GB

 

Space left on your External SD card

N/A

 

Is your device rooted?

Yes

 

Are you using a custom ROM, if so which one, exactly?

Yesterday I had Micro7 - stripped version of Eco7, which is in turn a minimalist version of Cyanogen MOD 7.2

Today I have KonstaKANG's port of CyanogenMod 10.1

 

Did you set your external SD card as storage location?

Yes (with CM7)
No (with CM10.1)

 

Did you manually install an older version before installing the latest version from the Play Store?

Well, yes: the last "Spotify" version, 1.0.1.985, and No: the "Spotify Music" is actually the latest, and I cannot install it. 

 

Do you have the same issue when switching between WiFi/Mobile Data?

Yes

 

If you said "No", when does the issue not occur?

N/A

 

My mobile Spotify version

1.0.1.985

 

My desktop Spotify version

0.9.10.14 (not relevant for this I believe)

 

My mobile provider and country

NOS (former ZON), Portugal

 

My username

diogocravodeoliveira

 

Do you have a Spotify (non-Facebook) login?

Yes

 

Are you logging in with Facebook or with your Spotify login details?

Spotify login

 

Do you have any screenshots you can attach to more clearly explain your issue?

 

Last version I can install/run:

Spotify

 

Google Play, after I press the green "Download" button:

Spotify Music on Google Play

 

3 people liked this

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Luigi001
Casual Listener

Same here with my Galaxy Ace, wtf....No way to now how to solve this......plz help!!!!!

1 person liked this

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Danielwvk
Casual Listener

Me too; Spotify Help!

5 people liked this

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Peter__
Community Legend
I have escalated this over to the Spotify team to look into for you guys.

Hang in there!

Peter
Spotify Community Mentor and Troubleshooter

Spotify Last.FM Twitter LinkedIn Meet Peter Rock Star Jam 2014


If this post was helpful, please add kudos below!

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Peter__
Community Legend
Hey guys!

Would you be able details (like above) in the template over on the troubleshooting post?:
http://community.spotify.com/t5/Help-Android/Android-Troubleshooting-Spotify/td-p/113082

The more detail we have about the devices that are affected, the easier it is for the devs to narrow down the issue.

Thanks!

Peter
Spotify Community Mentor and Troubleshooter

Spotify Last.FM Twitter LinkedIn Meet Peter Rock Star Jam 2014


If this post was helpful, please add kudos below!

1 person liked this

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Luigi001
Casual Listener

As asked the template 

 

=== START OF TEMPLATE ===

 

Description

Please describe the problem

After notification in Spotify that a necessary update was available before opening Spotify and opening Google Playstore to get the update, in there was the message that my device was not compatible with this (Spotify)version

 

What are the steps you took to get to the error/issue?

(We need to know what you are doing so we can do the exact same to try and get the same error)

1. After the problem I first  removed Spotify from my device

2. Then I reinstalled it

3. Opened Spotify and get the same message that I first have to update, coming in the same loop as mentioned as the problem

4. After that I tried all steps of Troubleshooting mentioned on the [Android] Troubleshooting Spotify site

Sill the same problem

 

What I expected to happen

To open Spotify and enjoying the great App as always J

 

Did you restart your device when troubleshooting in section B?

Yes

 

Did you read the connection troubleshooting tips?

Yes

 

Your device

Samsung Galaxy Ace (GT-S58301)

 

Device’s Operating System

Buildnumber Gingerbread.XXMA1, Android version 2.3.6 (just typing over what I can find under ‘system’ because I don’t know this kind of things)

 

What type of account do you have?

Premium

 

(FYI for the below points: Android devices tend to refer to the internal memory as "SD Card" and the SD card you inserted yourself as "External SD Card")

Space left on your device

1,29 GB

 

Space left on your SD card (if applicable)

1,5 GB

 

Space left on your External SD card (if applicable)

N/A

 

Is your device rooted?

 “No” (don’t know)

 

Are you using a custom ROM, if so which one, exactly?

“No” (don’t know)

 

Did you set your external SD card as storage location?

No

 

Did you manually install an older version before installing the latest version from the Play Store?

No

 

Do you have the same issue when switching between WiFi/Mobile Data (If applicable)?

Yes

 

If you said "No", when does the issue not occur?

N/A

 

My mobile Spotify version

Can’t see anymore because I’ve removed it now, but it was always updated…..until yesterday anyway

 

My desktop Spotify version (if applicable)

N/A

 

My mobile provider and country

Ben, Holland

 

My username

luigimari0

 

Do you have a Spotify (non-Facebook) login?

Yes

 

Are you logging in with Facebook or with your Spotify login details?

Spotify login

 

Do you have any screenshots you can attach to more clearly explain your issue?

 

 1.png

 2.png

 

=== END OF TEMPLATE ===

1 person liked this

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Stormlord_44
Music Fan

Got the same problem with a Galaxy Y Pro Duos (GT-B5512), plus, I attempted to download and install the new app manually from https://m.spotify.com and although the app was downloaded and I enabled installing from unknown sourses in settings, the app did not install.

 

I selected both "Verify and install" and "Package Installer" and although it was verified, it did not install.

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

Danielwvk
Casual Listener

== START OF TEMPLATE ===

 

Description

Please describe the problem

After notification in Spotify that a necessary update was available before opening Spotify and opening Google Playstore to get the update, in there was the message that my device was not compatible with this (Spotify)version

 

What are the steps you took to get to the error/issue?

(We need to know what you are doing so we can do the exact same to try and get the same error)

1. got a message to update Spotify.

2. Updated Spotify and started Spotify

3. Got a message (see attachment 1) to download a new compitable Spotify

4. Went to the android market again, but got the mesaage my Galaxy Ace wasn't compitable with Spotify Music.

5. So I am not able to download Spotify Music

 

What I expected to happen

To open Spotify and enjoying the great App as always J

 

Did you restart your device when troubleshooting in section B?

No

 

Did you read the connection troubleshooting tips?

No

 

Your device

Samsung Galaxy Ace (GT-S5830i)

 

Device’s Operating System

Buildnumber Gingerbread.XXMA1, Android version 2.3.6

 

What type of account do you have?

Premium

 

(FYI for the below points: Android devices tend to refer to the internal memory as "SD Card" and the SD card you inserted yourself as "External SD Card")

Space left on your device

40 MB

 

Space left on your SD card (if applicable)

1,5 GB

 

Space left on your External SD card (if applicable)

1,4 GB

 

Is your device rooted?

 “No”

 

Are you using a custom ROM, if so which one, exactly?

no

 

Did you set your external SD card as storage location?

Yes

 

Did you manually install an older version before installing the latest version from the Play Store?

No

 

Do you have the same issue when switching between WiFi/Mobile Data (If applicable)?

Yes

 

If you said "No", when does the issue not occur?

N/A

 

My mobile Spotify version

Latest Version

 

My desktop Spotify version (if applicable)

N/A

 

My mobile provider and country

Hi, Holland

 

My username

FamilieWilms

 

Do you have a Spotify (non-Facebook) login?

Yes

 

Are you logging in with Facebook or with your Spotify login details?

Spotify login

 

Do you have any screenshots you can attach to more clearly explain your issue?

see attachments

SC20140528-130038.png
SC20140528-130135.png

Re: Samsung Galaxy Ace: new version of spotify is not compatible with the device

xx00
Newbie

Pls guys fix the samsung galaxy issue, as i am unable to download the new version, just like mentioned previously it says this version is not compatible with the device!!!!! 

SUGGESTED POSTS